summaryrefslogtreecommitdiff
path: root/setup-libraries.sh
diff options
context:
space:
mode:
authorDane Springmeyer <dane@mapbox.com>2014-04-11 14:37:14 -0400
committerDane Springmeyer <dane@mapbox.com>2014-04-11 14:37:14 -0400
commit806f4efc342a3dcf383264f678fbb75cd5046afa (patch)
tree3ce7741bb2f34b7fe7eb8812b68693658854cdd2 /setup-libraries.sh
parentcf864f87ee88a6ad9bca5113af92eb2dc67b4458 (diff)
downloadqtlocation-mapboxgl-806f4efc342a3dcf383264f678fbb75cd5046afa.tar.gz
check for autotools
Diffstat (limited to 'setup-libraries.sh')
-rwxr-xr-xsetup-libraries.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/setup-libraries.sh b/setup-libraries.sh
index adca11e094..090ac4d78f 100755
--- a/setup-libraries.sh
+++ b/setup-libraries.sh
@@ -1,8 +1,13 @@
#!/bin/sh
set -e -u
+if [ ! `which aclocal` ] || [ ! `which automake` ] || [ ! `which autoconf` ] || [ ! `which glibtool` ]; then
+ echo 'autotools commands not found: run "brew install autoconf automake libtool" before continuing'
+ exit 1
+fi
+
if [ ! -d 'mapnik-packaging' ]; then
- git clone --depth=0 https://github.com/mapnik/mapnik-packaging.git
+ git clone --depth=1 https://github.com/mapnik/mapnik-packaging.git
fi
cd mapnik-packaging/osx/